<?php
include "../../include/conn.php";
include "../../include/function.php";
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Pragma: no-cache");
$ac=SafeRequest("ac","get");
$S_ID=SafeRequest("id","get");
if(!eregi($_SERVER['SERVER_NAME'],$_SERVER['HTTP_REFERER'])){exit();}
if(isset($_COOKIE["s_name"])){
	$S_Name=$_COOKIE["s_name"];
}
else{
	$S_Name="";
	exit ("Err_144");
}
global $db;
if($ac=="mb"){
	$db->query("update s_users set S_mbid='".$S_ID."' where S_name='".$S_Name."'");
}
	exit ("Err_145");
?>